Subject: Re: linux-next: build failure after merge of the security-testing tree

From: Eric Paris <[email-masked]>
Date: Tue, 19 Oct 2010 00:09:06 -0400

On Tue, 2010-10-19 at 14:57 +1100, Stephen Rothwell wrote:
> Hi James,
> 
> After merging the security-testing tree, today's linux-next build (powerpc_ppc64_defconfig)
> failed like this:
> 
> net/netfilter/nf_conntrack_netlink.c: In function 'ctnetlink_conntrack_event':
> net/netfilter/nf_conntrack_netlink.c:585: error: 'struct nf_conn' has no member named 'secmark'
> 
> Caused by commit fd0194de4cf2e64514aec35f40de458fca766656 ("conntrack:
> export lsm context rather than internal secid via netlink").  This build
> has CONFIG_NF_CONNTRACK_SECMARK not set ...
> 
> If you change a dependency on a CONFIG option, it is always worth build
> testing with and without the option set.
> 
> I have used the security-testing tree from next-20101018 for today.

Ohhh, poop.  I didn't think I changed any config options but I see it
now.  Will fix by tomorrow.  Sorry and thanks for catching it.

-Eric